Samrat Debroy

Greenhorn
+ Follow
since Oct 23, 2009
Cows and Likes
Cows
Total received
0
In last 30 days
0
Total given
0
Likes
Total received
0
Received in last 30 days
0
Total given
0
Given in last 30 days
0
Forums and Threads
Scavenger Hunt
expand Ranch Hand Scavenger Hunt
expand Greenhorn Scavenger Hunt

Recent posts by Samrat Debroy

Hi. I am trying to use Castor in Spring WS.
I have configured my beans as shown below:


I am using Castor1.3.1 and Spring WS 1.5.8.
But when I start my server, I see an IllegalStateException which says:

Caused by: org.springframework.beans.ConversionNotSupportedEx ception: Failed to convert property value of type 'org.springframework.oxm.castor.CastorMarshaller' to required type 'org.springframework.oxm.AbstractMarshaller' for property 'marshaller'; nested exception is java.lang.IllegalStateException

: Cannot convert value of type [org.springframework.oxm.castor.CastorMarshaller] to required type [org.springframework.oxm.AbstractMarshaller] for property 'marshaller': no matching editors or conversion strategy found

at org.springframework.beans.BeanWrapperImpl.convertI fNecessary(BeanWrapperImpl.java:462)

at org.springframework.beans.BeanWrapperImpl.convertF orProperty(BeanWrapperImpl.java:499)

at org.springframework.beans.BeanWrapperImpl.convertF orProperty(BeanWrapperImpl.java:493)

at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.convertForProperty(Abst ractAutowireCapableBeanFactory.java:1363)

at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.applyPropertyValues(Abs tractAutowireCapableBeanFactory.java:1322)

at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.populateBean(AbstractAu towireCapableBeanFactory.java:1076)

at org.springframework.beans.factory.support.Abstract AutowireCapableBeanFactory.doCreateBean(AbstractAu towireCapableBeanFactory.java:517)

... 53 more

Caused by: java.lang.IllegalStateException: Cannot convert value of type [org.springframework.oxm.castor.CastorMarshaller] to required type [org.springframework.oxm.AbstractMarshaller] for property 'marshaller': no matching editors or conversion strategy found

at org.springframework.beans.TypeConverterDelegate.convertIfNecessary(TypeConverterDelegate.java:231)

at org.springframework.beans.BeanWrapperImpl.convertI fNecessary(BeanWrapperImpl.java:447)

... 59 more


I have tried googling this issue but could not find any proper solution. Any solution/idea/comment would be very much welcome.

Thanks,
Samrat
9 years ago
@Sandra: Your delimiter is " fish ". Notice the space in the end. Now in the sample string the last fish doesn't have a space in the end.
So, this does not match the delimiter. Thats why it prints "blue fish".
Whereas, if the delimiter is "\\s*fish\\s*" then it will match zero or more space in the end.

How is this program supposed to work. I am perplexed



Sandra, I presume you are using Eclipse to run this and somehow the arguments are not getting passed properly.
You may set the arguments in the Run Configuration in Eclipse.
But for SCJP, it is advised not to use any advanced IDE like Eclipse.
I think nothing much to "think in a different style". Correct me if I am wrong.



This has the same effect. Lemme know if this retain your "program flow".
One trivial observation.
If you mark the integer variable "code" as volatile:

then the result will always be 99999.
Please excuse my ranting but i thought this might be useful.
Just changed the code little bit for better understanding in which scenario it would work as expected.

This is because the code(line 2) compiles like this:

Hope this clears the doubt.>

sumit kothalikar wrote:
what is decompiler and how to use it



You may use javap also.

Command line:


The disassembled code is :


You may see that the last printArray() is getting called having the instance of Object as parameter.

Gurvinder Singh wrote:Hi

I have a requirement that on click of a hyperlink from a jsp, i want to set a session attribute in the javascript.
On click of the hyperlink there will be 2 parameters passed to the JS function and in that JS function i want to set the 2 variables in session.
Can i achieve this through javascript by using something like session.setAttrbute("key","value");

Thanks
Gurvinder



It may be possible if you submit the two parameters as form fields to the servlet where you read these and set them in the session.

But if you don't want to submit the form, you may pass the parameters through using Ajax call also. Please lemme know if you want to know how to do the same.

james smitho wrote:
But that's surely because of that db, right? How do I correct that last error? Please.



I believe if you are a beginner then it will be helpful if you use some j2ee IDE(like Eclipse Galileo) for the structure.
Also just check whether you configured your servlet in deployment descriptor (/WEB-INF/web.xml).
11 years ago
After I uninstalled the components of CCRC of which it was complaining, I could install the Zest V T plugin.
Thanks.
11 years ago

Aakash Raj wrote:Could Some one please tell me how is the Job Market for java in Chennai.



Why don't you upload your resume in some job portal and see for yourself?
11 years ago
I am trying to install Zest Visualization Toolkit for RAD 7.5 from the url
http://download.eclipse.org/tools/gef/updates/releases/

But I am getting the following error.
Cannot complete the request. See the details.
Unsatisfied dependency: [com.ibm.rational.clearcase.comparemerge.solaris.sparc.feature.feature.group 7.1.0.v200902092146--08422A27382462] requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.rational.clearcase.compare_merge.solaris.sparc/[7.1.0.v200905160240,7.1.0.v200905160240]
Unsatisfied dependency: [com.ibm.rational.clearcase.comparemerge.aix.ppc.feature.feature.group 7.1.0.v200902092146--08422A27382475] requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.rational.clearcase.compare_merge.aix.ppc/[7.1.0.v200905160253,7.1.0.v200905160253]
Unsatisfied dependency: [com.ibm.rational.clearcase.comparemerge.solaris.x86.feature.feature.group 7.1.0.v200902092146--08422A27382462] requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.rational.clearcase.compare_merge.solaris.x86/[7.1.0.v200905160240,7.1.0.v200905160240]
Unsatisfied dependency: [com.ibm.rational.clearcase.comparemerge.linux.x86.feature.feature.group 7.1.0.v200902092146--08422A27382475] requiredCapability: org.eclipse.equinox.p2.iu/com.ibm.rational.clearcase.compare_merge.linux.x86/[7.1.0.v200905160253,7.1.0.v200905160253]


FYI, I have CCRC 7.1 plugin installed.

Any thoughts?
11 years ago